Bug 64799 - Dell Inspiron 5000 keyboard hangs with A08 BIOS
Dell Inspiron 5000 keyboard hangs with A08 BIOS
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-12 19:31 EDT by Andreas Gal
Modified: 2007-04-18 12:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-04 03:44:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Possible fix (9.23 KB, patch)
2002-06-04 00:57 EDT, Pete Zaitcev
no flags Details | Diff
Working fix for 2.4.18-4 based on 2.4.19-pre8-pole patch with additional code to activate it automatically on affected Dell laptops. (9.47 KB, patch)
2002-06-04 03:36 EDT, Andreas Gal
no flags Details | Diff

  None (edit)
Description Andreas Gal 2002-05-12 19:31:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc2) Gecko/20020510

Description of problem:
Dell Inspiron 5000 keyboard hangs when the touchpad is touched while
the system is configured for an USB mouse (thus /dev/psaux is not
polled). This happens only with the latest A08 BIOS, not A06.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Update to A08 BIOS
2.Configure the system for USB mouse (for example)
3.Boot, use the keyboard, everything works fine
4.Touch touchpad (or move external PS/2 mouse)
5.Keyboard freezes

Actual Results:  Keyboard is not usable (not in X and not at the console)

Expected Results:  Keyboard should continue to work.

Additional info:

It is possible to revive the keyboard by login in with ssh and
do "cat /dev/psaux". Touching the touchpad is not causing any
problems and the keyboard works again. If the cat process is
aborted and the touchpad touched, the keyboard freezes again.

I am using the following workaround: put at the end of rc.local
the following line:

cat /dev/psaux > /dev/null &

Diagnosis: This problem should be fixed in the kernel. As it
did not occur with the A06 BIOS, I assume it is not neccessary
to really poll psaux all the time, instead the psaux port has
to be disabled proberly. I think this is quite a servere bug,
it took me almost a year to figure out how to work around it.
It already appeared in 7.1 and 7.2. Feel free to contact me
if you need somebody for testig.
Comment 1 Matt Domsch 2002-05-22 13:38:23 EDT
Unfortunately, running Linux on the Inspiron 5000 isn't officially supported 
by Dell.  Our recommendation is to either continue using your script, or to go 
back to using the A06 BIOS.  This isn't something that Dell will fix in BIOS, 
though it's likely that the fix would be better implemented there then in the 
kernel.
Comment 2 Pete Zaitcev 2002-06-04 00:49:20 EDT
See also Bug 32533.
Comment 3 Pete Zaitcev 2002-06-04 00:57:03 EDT
Created attachment 59484 [details]
Possible fix
Comment 4 Pete Zaitcev 2002-06-04 00:58:18 EDT
Requestor, please indicate if you are comfortable with
testing kernel patches.
Comment 5 Andreas Gal 2002-06-04 01:24:49 EDT
Thanks for the possibe fix. I will test the kernel patch.
Comment 6 Andreas Gal 2002-06-04 03:36:47 EDT
Created attachment 59486 [details]
Working fix for 2.4.18-4 based on 2.4.19-pre8-pole patch with additional code to activate it automatically on affected Dell laptops.
Comment 7 Andreas Gal 2002-06-04 03:44:12 EDT
I have adopted the original pole patch for 2.4.18-4 and it works with my Dell
Inspiron 5000. I added some code to dmi_scan.c to automatically activate the
workaround on Dell Latitude C600, Dell Inspiron 5000e, and Dell Inspiron 5000
(only for A08 BIOS). On other machines it still can be activated manually. The
patch is attached.
Comment 8 Pete Zaitcev 2002-07-31 16:01:22 EDT
The fix must go upstream (linux-kernel).
I'll keep an eye on it in my community capacity,
but Dell 5000 sufferers better keep it on the radar too.

Note You need to log in before you can comment on or make changes to this bug.